> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get secret types

GET https://api.getpostman.com/secret-types

Gets the metadata of the secret types supported by Postman's [Secret Scanner](https://learning.postman.com/docs/administration/secret-scanner/). You can use a secret type's ID in the response to query data with the POST `/detected-secrets/{secretId}` endpoint.

Reference: https://learning.postman.com/api-docs/api-reference/secret-scanner/get-secret-types

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /secret-types:
    get:
      operationId: getSecretTypes
      summary: Get secret types
      description: >-
        Gets the metadata of the secret types supported by Postman's [Secret
        Scanner](https://learning.postman.com/docs/administration/secret-scanner/).
        You can use a secret type's ID in the response to query data with the
        POST `/detected-secrets/{secretId}` endpoint.
      tags:
        - secretScanner
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getSecretTypes'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSecretTypesRequestForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleStatusInstance'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    GetSecretTypesDataItemsType:
      type: string
      enum:
        - DEFAULT
        - TEAM_REGEX
      description: >
        The origin of the secret type:

        - `DEFAULT` — Supported by default in Postman.

        - `TEAM_REGEX` — A custom regex added by an Admin or Super Admin user in
        the **Configure Alerts** section of the [**Team
        Settings**](https://learning.postman.com/docs/administration/team-settings/)
        interface.
      title: GetSecretTypesDataItemsType
    GetSecretTypesDataItems:
      type: object
      properties:
        name:
          type: string
          description: The name of the secret type.
        id:
          type: string
          description: The ID of the secret type.
        type:
          $ref: '#/components/schemas/GetSecretTypesDataItemsType'
          description: >
            The origin of the secret type:

            - `DEFAULT` — Supported by default in Postman.

            - `TEAM_REGEX` — A custom regex added by an Admin or Super Admin
            user in the **Configure Alerts** section of the [**Team
            Settings**](https://learning.postman.com/docs/administration/team-settings/)
            interface.
      description: Information about the secret type.
      title: GetSecretTypesDataItems
    GetSecretTypesMeta:
      type: object
      properties:
        total:
          type: integer
          description: The total number of supported secrets.
      title: GetSecretTypesMeta
    getSecretTypes:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetSecretTypesDataItems'
        meta:
          $ref: '#/components/schemas/GetSecretTypesMeta'
      title: getSecretTypes
    commonErrorTypeTitleStatusInstance:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleStatusInstance
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    GetSecretTypesRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorTypeTitleStatusInstance'
      title: GetSecretTypesRequestForbiddenError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "data": [
    {
      "name": "Postman Collection Key",
      "id": "04084949-0dda-4735-ace5-f83038f7b200",
      "type": "DEFAULT"
    },
    {
      "name": "Planetscale API Token",
      "id": "082351ca-810e-476b-8437-d098b20fba4b",
      "type": "DEFAULT"
    },
    {
      "name": "Open AI API Key",
      "id": "0987c237-c1d0-4f07-a1af-a5772facf866",
      "type": "DEFAULT"
    },
    {
      "name": "Picatic API Key",
      "id": "0eac968d-f65e-4f3d-9a34-c02138072835",
      "type": "DEFAULT"
    }
  ],
  "meta": {
    "total": 4
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/secret-types"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/secret-types';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/secret-types"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/secret-types")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/secret-types")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/secret-types', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/secret-types");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/secret-types")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```